Monday, July 7, 2008

Removed ExtJS Dependency

Due to licensing issues, I have been meaning to get away from using ExtJS for a while. The GPL which ExtJS is licensed under is not compatible with LGPL and Apache, which Xmpp4Js is licensed under. I finally managed it today, as of revision 734. Much of the code was pulled from YUI, which is under the BSD license.

Something that I plan to do sometime is create a changeable adapter layer for Xmpp4Js.

The Soashable application will continue using ExtJS for the foreseeable future, being that it is itself licensed under the GPL.

No comments: